- Qt 5.15
- Qt Location
- C++ Classes
- QPlaceMatchReply
- Qt 5.15.11 Reference Documentation

# QPlaceMatchReply Class

The QPlaceMatchReply class manages a place matching operation started by an instance of QPlaceManager. More...

Header: | #include <QPlaceMatchReply>
qmake: | QT += location
Since: | Qt 5.6
Inherits: | QPlaceReply

This class was introduced in Qt 5.6.

- List of all members, including inherited members

## Public Functions

| QPlaceMatchReply(QObject *parent = nullptr)
virtual | ~QPlaceMatchReply()
QList<QPlace> | places() const
QPlaceMatchRequest | request() const

## Reimplemented Public Functions

virtual QPlaceReply::Type | type() const override

## Protected Functions

void | setPlaces(const QList<QPlace> &places)
void | setRequest(const QPlaceMatchRequest &request)

## Detailed Description

If the operation is successful, the number of places in the reply matches those in the request. If a particular place in the request is not found, a default constructed place is used as a place holder in the reply. In this way, there is always a one is to one relationship between input places in the request, and output places in the reply.

If the operation is not successful the number of places is always zero.

See Matching places between managers for an example on how to use a match reply.

See also QPlaceMatchRequest and QPlaceManager.

## Member Function Documentation

### QPlaceMatchReply::QPlaceMatchReply(QObject *parent = nullptr)

Constructs a match reply with a given parent.

### `[virtual]` QPlaceMatchReply::~QPlaceMatchReply()

Destroys the match reply.

### QList<QPlace> QPlaceMatchReply::places() const

Returns a list of matching places;

See also setPlaces().

### QPlaceMatchRequest QPlaceMatchReply::request() const

Returns the match request that was used to generate this reply.

See also setRequest().

### `[protected]` void QPlaceMatchReply::setPlaces(const QList<QPlace> &places)

Sets the list of matching places.

See also places().

### `[protected]` void QPlaceMatchReply::setRequest(const QPlaceMatchRequest &request)

Sets the match request used to generate this reply.

See also request().

### `[override virtual]` QPlaceReply::Type QPlaceMatchReply::type() const

Reimplements: QPlaceReply::type() const.

Returns the type of reply.